## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:    haruna
Version: 1.2.1
Release: %autorelease
Summary: Open source video player built with Qt/QML and libmpv

License: BSD-3-Clause AND CC-BY-4.0 AND CC-BY-SA-4.0 AND GPL-2.0-or-later AND GPL-3.0-or-later AND MIT
URL:     https://invent.kde.org/multimedia/%{name}/
Source0: https://download.kde.org/stable/%{name}/%{version}/%{name}-%{version}.tar.xz
Source1: https://download.kde.org/stable/%{name}/%{version}/%{name}-%{version}.tar.xz.sig
Source2: gpgkey-4E421C6554B89766DF9B7A37E12AB207C8755905.gpg

## upstream patches

BuildRequires: cmake
BuildRequires: gnupg2
BuildRequires: gcc-c++
BuildRequires: gettext
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules
BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib

BuildRequires: cmake(MpvQt)

BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Qml)
BuildRequires: cmake(Qt6Quick)
BuildRequires: cmake(Qt6QuickControls2)
BuildRequires: cmake(Qt6Core5Compat)

BuildRequires: cmake(KF6Config)
BuildRequires: cmake(KF6ConfigWidgets)
BuildRequires: cmake(KF6CoreAddons)
BuildRequires: cmake(KF6Crash)
BuildRequires: cmake(KF6DocTools)
BuildRequires: cmake(KF6FileMetaData)
BuildRequires: cmake(KF6I18n)
BuildRequires: cmake(KF6IconThemes)
BuildRequires: cmake(KF6KIO)
BuildRequires: cmake(KF6Kirigami)

BuildRequires: cmake(Breeze)

BuildRequires: pkgconfig(mpv)
BuildRequires: pkgconfig(libavcodec)
BuildRequires: pkgconfig(libavdevice)
BuildRequires: pkgconfig(libavfilter)
BuildRequires: pkgconfig(libavformat)
BuildRequires: pkgconfig(libavutil)
BuildRequires: pkgconfig(libpostproc)
BuildRequires: pkgconfig(libswresample)
BuildRequires: pkgconfig(libswscale)

Requires:      kde-filesystem
Requires:      hicolor-icon-theme
Requires:      kf6-kirigami%{?_isa}
Requires:      kf6-qqc2-desktop-style%{?_isa}
Recommends:    yt-dlp

%description
%{summary}.

Features:
 + play online videos, through youtube-dl;
 + supports youtube playlists;
 + toggle playlist with mouse-over, playlist overlays the video;
 + auto skip chapter containing certain words;
 + configurable shortcuts and mouse buttons;
 + quick jump to next chapter by middle click on progress bar.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1


%build
%cmake_kf6
%cmake_build


%install
%cmake_install
# Cleaning icons with non-standard resolution
for i in 44 150 310; do
  rm -rf %{buildroot}%{_kf6_datadir}/icons/hicolor/"${i}x${i}"
done
%find_lang %{name} --with-html


%check
desktop-file-validate %{buildroot}%{_kf6_datadir}/applications/org.kde.%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_kf6_metainfodir}/org.kde.%{name}.metainfo.xml


%files -f %{name}.lang
%doc README.md
%license LICENSES/*.txt
%{_kf6_bindir}/haruna
%{_kf6_datadir}/applications/org.kde.%{name}.desktop
%{_kf6_datadir}/icons/hicolor/*/apps/haruna.{svg,png}
%{_kf6_metainfodir}/org.kde.%{name}.metainfo.xml


%changelog
## START: Generated by rpmautospec
* Fri Nov 08 2024 Pavel Solovev <daron439@gmail.com> - 1.2.1-1
- version 1.2.1

* Thu Oct 03 2024 Neal Gompa <ngompa@fedoraproject.org> - 1.2.0-3
- Rebuild for ffmpeg 7 (again)

* Mon Sep 23 2024 Fabio Valentini <decathorpe@gmail.com> - 1.2.0-2
- Rebuild for ffmpeg 7

* Sat Aug 31 2024 Yaroslav Sidlovsky <zawertun@gmail.com> - 1.2.0-1
- version 1.2.0

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Yaroslav Sidlovsky <zawertun@gmail.com> - 1.1.2-2
- BuildRequires: added Qt6Core5Compat

* Fri Jun 07 2024 Yaroslav Sidlovsky <zawertun@gmail.com> - 1.1.2-1
- version 1.1.2

* Sat May 18 2024 Yaroslav Sidlovsky <zawertun@gmail.com> - 1.1.1-1
- version 1.1.1

* Fri Apr 19 2024 Yaroslav Sidlovsky <zawertun@gmail.com> - 1.1.0-1
- version 1.1.0

* Wed Mar 27 2024 Yaroslav Sidlovsky <zawertun@gmail.com> - 1.0.2-1
- version 1.0.2

* Fri Mar 15 2024 Alessandro Astone <ales.astone@gmail.com> - 1.0.1-4
- Update licenses

* Fri Mar 15 2024 Alessandro Astone <ales.astone@gmail.com> - 1.0.1-3
- Require KF6 qqc2-desktop-style

* Fri Mar 15 2024 Alessandro Astone <ales.astone@gmail.com> - 1.0.1-2
- Build does not require private Qt symbols

* Thu Mar 14 2024 Yaroslav Sidlovsky <zawertun@gmail.com> - 1.0.1-1
- version 1.0.1

* Wed Mar 13 2024 Yaroslav Sidlovsky <zawertun@gmail.com> - 1.0.0-1
- version 1.0.0

* Sun Feb 04 2024 Alessandro Astone <ales.astone@gmail.com> - 0.12.3-6
- Require qqc2-desktop-style

* Tue Jan 30 2024 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.12.3-5
- rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 19 2023 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.12.3-2
- rebuild

* Thu Dec 07 2023 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.12.3-1
- version 0.12.3

* Thu Nov 02 2023 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.12.2-1
- version 0.12.2

* Fri Sep 01 2023 Justin Zobel <justin.zobel@gmail.com> - 0.12.1-1
- Update to 0.12.1 and simplify gitignore

* Sat Aug 26 2023 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.12.0-1
- version 0.12.0

* Mon Jul 24 2023 Vitaly Zaitsev <vitaly@easycoding.org> - 0.11.3-3
- Rebuilt due to libmpv 0.36 update.

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 13 2023 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.11.3-1
- version 0.11.3

* Sun Jul 09 2023 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.11.2-1
- version 0.11.2

* Mon May 29 2023 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.11.1-1
- version 0.11.1

* Sun May 14 2023 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.11.0-1
- version 0.11.0

* Sun Mar 12 2023 Neal Gompa <ngompa@fedoraproject.org> - 0.10.3-3
- Rebuild for ffmpeg 6.0

* Wed Feb 22 2023 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.10.3-2
- fix: require kf5-kirigami2

* Sun Jan 29 2023 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.10.3-1
- version 0.10.3

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.10.2-1
- version 0.10.2

* Thu Jan 05 2023 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.10.0-2
- fix for KDE bug #463868

* Mon Jan 02 2023 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.10.0-1
- version 0.10.0

* Fri Dec 09 2022 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.9.3-1
- Version 0.9.3

* Sun Nov 13 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 0.9.1-2
- Rebuilt due to mpv update.

* Mon Sep 05 2022 Yaroslav Sidlovsky <zawertun@gmail.com> - 0.9.1-1
- first spec for version 0.9.1

## END: Generated by rpmautospec
